Bug 11021 - mdadm upgrade results with two mdadm processes running
: mdadm upgrade results with two mdadm processes running
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-06 00:12 by
Modified: 2007-04-22 01:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-06 00:12:18
old mdadm daemon wasn't stopped during update from mdadm-0:2.6-alt2 to 
mdadm-0:2.6.1-alt2, both processes (from /usr/sbin/mdadm and /sbin/mdadm)
are running even after `service mdadm restart'
------- Comment #1 From 2007-04-15 21:26:08 -------
Tried to be fixed in 2.6.1-alt3:
service script checks mdadm binary
at /usr/sbin (old location) and /sbin (new location),
and calls stop_daemon with overridden PATH
that forces handling of the appropriate binary.
------- Comment #2 From 2007-04-21 05:03:14 -------
Fixed in mdadm-2.6.1-alt3.1